summaryrefslogtreecommitdiff
path: root/openwrt/rhctl/files/switchctl.init
diff options
context:
space:
mode:
Diffstat (limited to 'openwrt/rhctl/files/switchctl.init')
-rwxr-xr-xopenwrt/rhctl/files/switchctl.init10
1 files changed, 8 insertions, 2 deletions
diff --git a/openwrt/rhctl/files/switchctl.init b/openwrt/rhctl/files/switchctl.init
index c463f40..8ebe46f 100755
--- a/openwrt/rhctl/files/switchctl.init
+++ b/openwrt/rhctl/files/switchctl.init
@@ -1,5 +1,5 @@
#!/bin/sh /etc/rc.common
-START=50
+START=70
BIN=switchctl
DAEMON=/usr/bin/$BIN
@@ -11,6 +11,11 @@ start() {
echo -n "Starting $DESC:"
mkdir -p $RUN_D
$DAEMON --write-pid $PIDFILE
+ if [ $? -ne 0 ]; then
+ echo -n " Error"
+ else
+ echo -n " Ok"
+ fi
echo "."
}
@@ -19,8 +24,9 @@ stop() {
if [ -f $PIDFILE ]; then
kill `cat $PIDFILE` > /dev/null 2>&1
rm -f $PIDFILE > /dev/null 2>&1
+ echo -n " Ok"
else
- echo -n "not running"
+ echo -n " not running"
fi
echo "."
}